// initialize LCD
extern void com74hc595_lcd_init(void);

// send 4 bit nibble to LCD
extern void com74hc595_lcd_nibble( unsigned char d );

// send byte as two nibble
extern void com74hc595_lcd_Byte( unsigned char d );

// send command to LCD
extern void com74hc595_lcd_command(unsigned char d);

// Enable-Puls
extern void com74hc595_lcd_enable(void);

// character output
extern void com74hc595_lcd_data(unsigned char d);

// String output
extern void com74hc595_lcd_string(char *data);

// clear LCD
extern void com74hc595_lcd_clear(void);

// set cursor to home
extern void com74hc595_lcd_home(void);

// set cursor on position
extern void com74hc595_set_cursor(uint8_t x, uint8_t y);

// Backlight on
extern void com74hc595_lcd_light_on(void);

// Backlight off
extern void com74hc595_lcd_light_off(void);

// Cursor Movement
extern void com74hc595_lcd_CursorMovement( uint8_t C, uint8_t S );

// Cursor State
extern void com74hc595_lcd_CursorState(uint8_t m, uint8_t s);

// Display State
extern void com74hc595_lcd_DisplayState( uint8_t p, uint8_t c, uint8_t b );

// Display Properties
extern void com74hc595_lcd_DisplayProperties(uint8_t b, uint8_t n, uint8_t f );

#ifndef F_CPU
#define F_CPU	3686400
#endif
 
#ifndef _LCD_H_
#define _LCD_H_

// LCD commands
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02
#define LCD_ON        0x0C
#define CURSOR_ON     0x0A
#define CURSOR_FLASH  0x09

#define ON  0x01
#define OFF 0x00
 
// Port and pin definition for LCD
 
#define LCD_PORT	0
#define LCD_B4		2	// LCD PIN 11 -> 74HC595 PIN 2
#define LCD_B5		3	// LCD PIN 12 -> 74HC595 PIN 3
#define LCD_B6		4	// LCD PIN 13 -> 74HC595 PIN 4
#define LCD_B7		5	// LCD PIN 14 -> 74HC595 PIN 5
#define LCD_RS		6  	// LCD PIN  4 -> 74HC595 PIN 6
#define LCD_EN      7	// LCD PIN  6 -> 74HC595 PIN 7
#define LCD_LIGHT	1   //            -> 74HC595 PIN 1   
#define LCD_RW      	// LCD PIN  5 -> auf GND gelegt

extern unsigned char BackLightState;
extern unsigned char LCDLightState;

#endif /* _LCD_H_ */
